GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

      • Management module

        • Manage users

          • Get user list
          • Get user information
          • Get user information in batches
          • Create users
          • Create users in batches
          • Modify user information
          • Batch modify user information
          • Delete user
          • Get the user's external identity source
          • Get user role list
          • Get user real-name authentication information
          • Delete user real-name authentication information
          • Get user department list
          • Set user department
          • Get user group list
          • Get user MFA binding information
          • Get the archived user list
          • Force offline users
          • Judge whether the user exists
          • Get user-accessible applications
          • Get user-authorized applications
          • Determine whether the user has a certain role
          • Get the user's login history
          • Get the application that the user has logged in to
          • Get the identity source that the user has logged in to
          • User resignation
          • Batch user resignation
          • Get all resources authorized by the user
          • Check whether a user has a session login status in the application
          • Import user OTP
          • Set user MFA status
          • Get user MFA status
        • Management Roles

        • Manage user groups

        • Manage custom fields

        • Manage Resources and Permissions

        • Manage data resources and permissions

        • Manage Applications

        • Manage Identity Sources

        • Manage security configuration

        • Manage message service

        • Manage Pipeline

        • Manage Webhook

        • Get audit log

        • Manage metering and billing

        • Events
    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. Management module

  8. /
  9. Manage users

  10. /
  11. Import user OTP

¶ Import user's OTP

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory and https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Import user's OTP

¶ Method Name

ManagementClient.importOtp

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
listImportOtpItemDto[]Yes-parameter list

¶ Sample Code

package test.management;

import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.CommonResponseDto;
import cn.authing.sdk.java.dto.ImportOtpItemDataDto;
import cn.authing.sdk.java.dto.ImportOtpItemDto;
import cn.authing.sdk.java.dto.ImportOtpReqDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;

import java.util.ArrayList;
import java.util.List;

public class ImportOtpTest {
    // Need to be replaced with your GenAuth Access Key ID
    private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
    // Need to be replaced with your GenAuth Access Key Secret
    private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";

    public static void main(String[] args) throws Throwable {
        ManagementClientOptions clientOptions = new ManagementClientOptions();
        clientOptions.setAccessKeyId(ACCESS_KEY_ID);
        clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
        // If you are a private deployment customer, you need to set the GenAuth service domain name
        // clientOptions.setHost("https://api.your-authing-service.com");

        ManagementClient client = new ManagementClient(clientOptions);

        ImportOtpReqDto reqDto = new ImportOtpReqDto();
        List<ImportOtpItemDto> list = new ArrayList<>();
        ImportOtpItemDto optDto = new ImportOtpItemDto();
        optDto.setUserId("6229ffaxxxxxxxxcade3e3d9");
        ImportOtpItemDataDto dataDto = new ImportOtpItemDataDto();
        dataDto.setSecret("HZ2F6JxxxxAVSOTV");
        optDto.setOtp(dataDto);
        list.add(optDto);
        reqDto.setList(list);
        CommonResponseDto response = client.importOtp(reqDto);
        System.out.println(JsonUtils.serialize(response));
    }
}

¶ Request Response

Type: CommonResponseDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}

¶ Data Structure

¶ ImportOtpItemDto

NameType
Is it required
Description
Example Value
userIdstringYesUser idxxxx
secretstringYesOTP keyHZ2F6J3AGNAVSOTV
Previous article: Check whether a user has a session login status in the application Next article: Set user MFA status
  • Method Name
  • Request Parameters
  • Sample Code
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.